Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.gateway
Class HibernateGatewayListener

    java.lang.Object
      org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
          org.jboss.soa.esb.listeners.gateway.HibernateGatewayListener

All Implemented Interfaces:
  java.io.Serializable, ManagedLifecycle

    public class HibernateGatewayListener

extends AbstractManagedLifecycle

HibernateGatewayListener is a listener which creates a HibernateInterceptor for the classname/events that need to be listened to.

Since:
  Version 4.2
Author:
  tcunning@redhat.com
See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `_composer`
`protected java.lang.Class` | `_composerClass`
`protected java.lang.String` | `_composerName`
`protected static org.apache.log4j.Logger` | `m_logger`
`protected java.util.Collection<EPR>` | `m_targetEprs`
`protected java.lang.String` | `m_targetServiceCategory`
`protected java.lang.String` | `m_targetServiceName`

Fields inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`PARAM_TERMINATION_PERIOD`

Constructor Summary
`HibernateGatewayListener(ConfigTree config)` This constructor takes in a configTree element and grabs the hibernate configuration file name.

Method Summary
`protected void` | `doDestroy()` Handle the destroy of the managed instance.
`protected void` | `doInitialise()` Handle the initialisation of the managed instance.
`protected void` | `doStart()` Handle the start of the managed instance.
`protected void` | `doStop()` Handle the stop of the managed instance.

Methods inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`addManagedLifecycleEventListener, changeState, destroy, getConfig, getState, getTerminationPeriod, initialise, removeManagedLifecycleEventListener, start, stop, waitUntilDestroyed, waitUntilDestroyed, waitUntilNotState, waitUntilState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _composer

    protected java.lang.Object _composer

### _composerClass

    protected java.lang.Class _composerClass

### _composerName

    protected java.lang.String _composerName

### m_targetServiceCategory

    protected java.lang.String m_targetServiceCategory

### m_targetServiceName

    protected java.lang.String m_targetServiceName

### m_targetEprs

    protected java.util.Collection<EPR> m_targetEprs

### m_logger

    protected static final org.apache.log4j.Logger m_logger

Constructor Detail

### HibernateGatewayListener

    public HibernateGatewayListener(ConfigTree config)
                             throws ConfigurationException

  This constructor takes in a configTree element and grabs the hibernate configuration file name.

  Parameters:
    `config` - configtree
  Throws:
    `ConfigurationException`

Method Detail

### doDestroy

    protected void doDestroy()
                      throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the destroy of the managed instance.

  Specified by:
    `doDestroy` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while destroying.

### doInitialise

    protected void doInitialise()
                         throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the initialisation of the managed instance.

  Specified by:
    `doInitialise` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while initialisation.

### doStart

    protected void doStart()
                    throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the start of the managed instance.

  Specified by:
    `doStart` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while starting.

### doStop

    protected void doStop()
                   throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the stop of the managed instance.

  Specified by:
    `doStop` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while stopping.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD